////////////////////////////////////////////////
//  Example of using Razor-Express
//  https://www.npmjs.com/package/raz
//  in Node.js environment.
////////////////////////////////////////////////

const raz = require("raz");

const model = {
  subject: "Template Engines",
  items: [
    {name: "Mustache"},
    {name: "HandleBar"},
    {name: "Dust"},
    {name: "Jade"},
    {name: "EJS"},
    {name: "Razor"},
  ]
};

const template = `
<h1>@Model.subject</h1>
<ul>
  @for(var i = 0; i < Model.items.length; i++) {
     <li>@Model.items[i].name</li>
  }
</ul>`;
 
var html = raz.compileSync({template, model});

// Output compiled HTML:
html;
;
